Bug 632657 (CVE-2010-3083) - CVE-2010-3083 MRG: SSL connections to MRG broker can be blocked
Summary: CVE-2010-3083 MRG: SSL connections to MRG broker can be blocked
Status: CLOSED ERRATA
Alias: CVE-2010-3083
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101007,reported=20100517,sou...
Keywords: Security
Depends On: 593099 601239
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-10 16:42 UTC by Vincent Danen
Modified: 2010-10-12 15:49 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-10-12 15:49:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0756 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging security and bug fix update 1.2.2 2010-10-08 01:49:47 UTC
Red Hat Product Errata RHSA-2010:0757 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Messaging security and bug fix update 1.2.2 2010-10-08 01:55:55 UTC

Description Vincent Danen 2010-09-10 16:42:22 UTC
It was discovered that SSL connections to the MRG broker could easily be blocked.  If a client or application initiated a connection to the MRG broker's listening SSL port, the client connection would block access to the port until the SSL handshake completes (or fails).  If a client failed to proceed with it, then the thread was never freed to process other connections, denying service to other clients.  Only SSL connections were affected by this issue, and SSL support is not enabled by default.

Comment 2 Vincent Danen 2010-09-14 17:24:38 UTC
The fix for this issue was public a year and a half ago, but I do not know if the security implications were every really known:

http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/qpid/sys/ssl/SslSocket.cpp?r1=790291&r2=790290&pathrev=790291&view=patch

However, the second half of the above patch was reverted later:

http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/qpid/sys/ssl/SslSocket.cpp?r1=919487&r2=938992

with the following commit message:

QPID-2083: Some improvements to error handling for NSS based SSL implementation.

https://issues.apache.org/jira/browse/QPID-2083

Looking at the RHEL6 and Fedora sources, the initial patch has been applied, and in RHEL6 at least the second hunk has been reverted, as with upstream (but not in Fedora).

Comment 5 errata-xmlrpc 2010-10-08 01:49:52 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0756 https://rhn.redhat.com/errata/RHSA-2010-0756.html

Comment 6 errata-xmlrpc 2010-10-08 01:56:00 UTC
This issue has been addressed in following products:

  Messaging for MRG on RHEL-4
  Messaging Base for MRG on RHEL-4

Via RHSA-2010:0757 https://rhn.redhat.com/errata/RHSA-2010-0757.html


Note You need to log in before you can comment on or make changes to this bug.